Bug 11370 - Please re-open bug 11163: heimdal kerberose builds still fail
Please re-open bug 11163: heimdal kerberose builds still fail
Status: RESOLVED WONTFIX
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.2.2
All Linux
: P5 major
: ---
Assigned To: Björn Jacke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-29 21:45 UTC by Michael Evans
Modified: 2016-07-28 23:48 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Evans 2015-06-29 21:45:08 UTC
The bug described in https://bugzilla.samba.org/show_bug.cgi?id=11163 still occurs when building against heimdal kerberose, as the Debian and likely derived distributions use.

The previous bug appears to have been marked as Resolved with no changes to the actual source code; thus I see the bug again today when trying to test the latest stable version of Samba to see if another bug I am having has been fixed by subsequent versions.

I was unable to find a clear way of making sure that the previously closed bug was marked as still an open bug, therefore I am filing a new bug to request the re-opening of the previous bug.
Comment 1 Michael Evans 2015-07-10 22:07:46 UTC
Is there a build environment in which Samba 4.2.2 can re-producibly be build against heimdal kerberose?

I would like to verify that building does work, and then compare the differences between the Debian (I've tried stable testing and unstable) and that working environment.  At this point I'm not sure if some version of software is too new, too old, or if Samba is just broken and does not in fact build.
Comment 2 Michael Evans 2015-07-17 22:54:52 UTC
This isn't really /fixed/ since the described efforts in the 'closed' bug are still necessary.  HOWEVER, it is now possible, with 4.2.3 to actually apply them and compile //without// cluster support (I did not test this before, but it happened to be the first test I tried this time).

I think the cluster support might either be a different bug, or something that is known and no longer compatible?
Comment 3 Andrew Bartlett 2016-07-28 23:48:00 UTC
Samba does not support building against a system Heimdal Kerberos at this point.

We need to do more than just fix build errors, there are bigger issues and so debian/Ubuntu now use a bundled Heimdal.

Long term we hope to fix this by transitioning to MIT krb5 as an option for use of a system krb5 lib in the AD DC.  (Already supported for domain member builds)